CC = gcc

# Warning suppressions needed for MacOS

CFLAGS = -g -Wno-implicit-function-declaration -Wno-format-security -Wno-unused-value

INC = acdc.h btree.h const.h game.h line.h major.h minor.h output.h \
	param.h  source.h  symbol.h  text.h  voc.h

SRC = acdc.c btree.c chrtobin.c clsfile.c domajor.c dominor.c doswitch.c \
	finalise.c getconst.c getnames.c gettxt.c gripe.c initial.c \
	nextline.c openfrst.c openout.c opnsrc.c organise.c param.c \
	parse.c recase.c storchar.c storword.c symbol.c texttyp.c writeref.c

all: acdc tools/uglify

acdc: $(SRC) $(INC)
	$(CC) -o acdc $(SRC) $(CFLAGS)

tools/uglify:  tools/uglify.c
	cd tools && $(CC) $(CFLAGS) uglify.c -o uglify 

clean:
	rm -rf acdc tools/uglify 

